Bug 1119626 (CVE-2014-2483) - CVE-2014-2483 OpenJDK: Restrict use of privileged annotations (Libraries, 8034985)
Summary: CVE-2014-2483 OpenJDK: Restrict use of privileged annotations (Libraries, 803...
Status: CLOSED ERRATA
Alias: CVE-2014-2483
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20140715,repor...
Keywords: Security
Depends On:
Blocks: 1115835
TreeView+ depends on / blocked
 
Reported: 2014-07-15 07:39 UTC by Stefan Cornelius
Modified: 2014-07-21 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-21 16:11:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0889 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-07-16 12:49:50 UTC
Red Hat Product Errata RHSA-2014:0890 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-07-16 09:18:44 UTC
Red Hat Product Errata RHSA-2014:0902 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 19:39:16 UTC

Description Stefan Cornelius 2014-07-15 07:39:15 UTC
It was discovered that the Libraries component did not properly
restrict the use of privileged annotations. An untrusted Java
application or applet could possibly use this flaw to bypass Java
sandbox restrictions.

Comment 1 errata-xmlrpc 2014-07-16 05:19:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0890 https://rhn.redhat.com/errata/RHSA-2014-0890.html

Comment 2 errata-xmlrpc 2014-07-16 08:50:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:0889 https://rhn.redhat.com/errata/RHSA-2014-0889.html

Comment 3 Stefan Cornelius 2014-07-16 12:04:00 UTC
Fixed now in Oracle Java SE 7.0u65 via Critical Patch Update July 2014. 

Fixed in IcedTea 2.5.1 for OpenJDK 7:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-July/028584.html

OpenJDK 7 Patch(es):
http://hg.openjdk.java.net/jdk7u/jdk7u/hotspot/rev/848481af9003


External reference:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixJAVA

Comment 4 errata-xmlrpc 2014-07-18 01:46:39 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0902 https://rhn.redhat.com/errata/RHSA-2014-0902.html


Note You need to log in before you can comment on or make changes to this bug.